WordPress.org

Ready to get started?Download WordPress

Forums

Problem with WP-OpenID (15 posts)

  1. mvstudio
    Member
    Posted 5 years ago #

    I can't make this mod work in my blog. Anyone can leave comments in my blog with an openID, that part works, but I can't use my own domain to leave comments on other blogs. I installed the other mod OpenID server to compensate (be able to leave comments on other blogs) but now I can't find a way to change how my comments appear on other blogs. The nickname is always "blog". Is there a way to make WP-OpenID to do all so I can get rid of the other mod?

    Thank you

  2. oeconomist
    Member
    Posted 5 years ago #

    This plug-in (WP-OpenID) doesn't provide an Open-ID server; rather, it enables (or tries to enable) a WordPress installation to accept OpenID.

    (I used phpMyID to set-up my own OpenID server. I don't know much about mu-open-id, which you seem to be using.)

  3. mvstudio
    Member
    Posted 5 years ago #

    Thank you oeconomist. Makes sense.

    mu-open-id works perfectly as a server, I just can't seem to find a way to customize my ID for when I leave comments.

    I'm going to try phpMyID, thank you!

  4. Will Norris
    Member
    Posted 5 years ago #

    wp-openid will support OpenID serving and delegation in the next major release.

  5. isilanes
    Member
    Posted 5 years ago #

    Dear Will,

    I don't want to sound harsh or ungrateful, but when will this major release of WP-OpenID be?

    I really love your work in WP-OpenID and WP-Yadis, but right now I have my blog updated to WP 2.6.2, and they do not work (the former claims to work up to 2.6.0, and the latter to 2.3.1).

    This situation is really sad, since I believe using one's WP.org blog as OpenID delegate (to sign in elsewhere), and also a consumer (for comments) is such an important feature. Please see to it!

  6. Will Norris
    Member
    Posted 5 years ago #

    no worries, isilanes... that's a perfectly valid question. I avoided mentioning it in my last post because I honestly wasn't too sure. Another project I was working on has recently been tabled, so I'm focusing on wp-openid for the next few weeks. There's a good chance we'll be looking to launch at the end of the month. I'll actually be making a few posts on my personal site talking about this release later today.

  7. isilanes
    Member
    Posted 5 years ago #

    Thanks, Will. I'm sure you'll make a lot of people happy with that.

  8. Drawer
    Member
    Posted 5 years ago #

    I'm looking for a way that OpenID accepts me, too!!

    I am so annoyed by the xenophobic Google Blogger that doesn't accept my wordpress url, so that I can NEVER leave a comment, if they don't allow anonymous comments. Great way to run/ruin a blog.

    I think OpenId only works with WordPress.com. Wah.

  9. factoryjoe
    Member
    Posted 5 years ago #

    v3.0 of the plugin is now available and supports providing OpenIDs:

    http://wordpress.org/extend/plugins/openid/other_notes/

  10. tixrus
    Member
    Posted 5 years ago #

    Hi I just installed 3.0 and it failed saying openid/core.php did not exists and deactivited the plugin. so I dropped back to 2.2.2 whatever. I will await the next update. any explination?

  11. Will Norris
    Member
    Posted 5 years ago #

    @tixrus: that's simply because the file was renamed. It's not a bug, you just need to re-activate the plugin.

  12. Chip Bennett
    Theme Review Admin
    Posted 5 years ago #

    @wnorris:

    I upgraded to v3.0, and two instances of the plugin now appear in my plugins list.

    Is it safe to delete the core.php file, so that only the v3.0 instance of OpenID appears in my plugins list?

  13. Will Norris
    Member
    Posted 5 years ago #

    after upgrading, you shouldn't have a core.php file any more. I suspect that you simply unzipped the new file on top of the old plugin. Instead, you should remove the old plugin entirely (or just rename the folder or something), and then unzip the new version of the plugin.

  14. Chip Bennett
    Theme Review Admin
    Posted 5 years ago #

    Actually, I used the automatic upgrade. I've not had one fail to upgrade cleanly before.

  15. Will Norris
    Member
    Posted 5 years ago #

    I've never actually used the auto-upgrade stuff or looked at how it works, but I'd imagine it does something along the lines of what I described. In any event, you can safely delete the core.php file, and everything should be fine.

Topic Closed

This topic has been closed to new replies.

About this Topic